package ${basePackage}.action.ajax.system;

import org.springframework.beans.factory.annotation.Autowired;
import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.RoleResManager;
import ${basePackage}.module.system.req.RoleResCreateRequest;
import ${basePackage}.module.system.req.RoleResDeleteRequest;
import ${basePackage}.module.system.req.RoleResFindRequest;
import ${basePackage}.module.system.req.RoleResGetRequest;
import ${basePackage}.module.system.req.RoleResUpdateRequest;
import ${basePackage}.module.system.rsp.RoleResCreateResponse;
import ${basePackage}.module.system.rsp.RoleResDeleteResponse;
import ${basePackage}.module.system.rsp.RoleResFindResponse;
import ${basePackage}.module.system.rsp.RoleResGetResponse;
import ${basePackage}.module.system.rsp.RoleResUpdateResponse;

public class RoleResApi{

    @Autowired
    private RoleResManager roleResManager;

    public RoleResCreateResponse create(RoleResCreateRequest request) {
        return roleResManager.create(request, LocalData.getToken());
    }

    public RoleResDeleteResponse delete(RoleResDeleteRequest request) {
        return roleResManager.delete(request, LocalData.getToken());
    }

    public RoleResUpdateResponse update(RoleResUpdateRequest request) {
        return roleResManager.update(request, LocalData.getToken());
    }

    public RoleResFindResponse find(RoleResFindRequest request) {
        return roleResManager.find(request, LocalData.getToken());
    }

    public RoleResGetResponse get(RoleResGetRequest request) {
        return roleResManager.get(request, LocalData.getToken());
    }
}
